#!/bin/bash

APP_NAME=kodi
APP_ID=2


function install(){
    sudo add-apt-repository -y ppa:team-xbmc/ppa
    sudo apt install -y kodi
    # sudo apt update -y
}


function uninstall(){
    sudo add-apt-repository --remove -y ppa:team-xbmc/ppa
    sudo apt remove -y kodi
}


function update(){
    echo "update"
}

function start(){
    kodi
}

function stop(){
    echo "stop"
}

function set_config(){
    echo "set_config"

}

function is_running(){
    echo "is_running"
}

function is_installed(){
    echo `ls /usr/bin/kodi | wc -l`
}

case "$1" in
    install)
        install
        # shift 2;
        
    ;;
    uninstall)
        uninstall
        shift;
        
    ;;
    update)
        update
        shift;
    ;;
    start)
        start
        shift;
        # shift 2;
        
    ;;
    stop)
        stop
        shift;
        # shift 2;
        
    ;;
    set_config)
        set_config
        shift;
    ;;
    is_installed)
        is_installed
        shift;
    ;;
    --)
        shift;
        
    ;;
    ?)
    echo "未知参数"
    exit;
    ;;
esac