#!/bin/bash

cfgfile=/etc/router/config/storage_delete_volume.json
datadir=`cat ${cfgfile} | jq -r .name`
pool_path=`cat ${cfgfile} | jq -r .path`

# umount datadir
mount_points=`df | awk '{print $6}' | grep "^${datadir}"`
if [[ -n ${mount_points} ]]; then
	umount ${datadir}
	if [[ $? != 0 ]]; then
		fuser -kmv ${datadir}
		umount ${datadir}
		if [[ $? != 0 ]]; then
			echo "Could not umount ${datadir}..." >&2
			exit 1
		fi
	fi
fi

# stop pool device
if [[ $pool_path == /dev/* ]]; then
    sed -i "\#  ${datadir}  #d" /etc/fstab
else
    zpool destroy -f ${pool_path}
fi
